## bcbio 1.1.2

=== requirements.txt ===
bcbio-nextgen==1.1.2

=== debian/changelog ===
bcbio (1.1.2-3) unstable; urgency=medium

  * Demoted python3-seqcluster to become a recommendation
  * Packaged documentation, which also contributed a man page

 -- Steffen Moeller <moeller@debian.org>  Wed, 23 Jan 2019 15:04:57 +0100

bcbio (1.1.2-2) UNRELEASED; urgency=medium

  * Found Python3 incompatbility. Upstream has it already.

 -- Steffen Moeller <moeller@debian.org>  Mon, 21 Jan 2019 23:56:26 +0100

bcbio (1.1.2-1) UNRELEASED; urgency=medium

  * Initial release (Closes: #903386)

    TODO: Documentation not built

 -- Steffen Moeller <moeller@debian.org>  Thu, 17 Jan 2019 16:37:37 +0100

=== debian/control ===
Source: bcbio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-gffutils,
               python3-mock,
               python3-pandas,
               python3-pybedtools,
               python3-pysam,
               python3-pyvcf,
               python3-toolz,
               python3-tornado,
               python3-yaml,
# for testing
               python3-biopython,
               python3-cyvcf2,
               python3-logbook,
               python3-requests,
# documentation
               python3-sphinx
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/bcbio
Vcs-Git: https://salsa.debian.org/med-team/bcbio.git
Homepage: https://github.com/chapmanb/bcbio-nextgen

Package: python3-bcbio
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-tornado
Recommends: python3-seqcluster
Suggests: bcbio-doc
Description: library for analysing high-throughput sequencing data
 This package installs the Python 3 libraries of the bcbio-nextgen
 toolkit implementing best-practice pipelines for fully automated high
 throughput sequencing analysis.
 .
 A high-level configuration file specifies inputs and analysis parameters
 to drive a parallel pipeline that handles distributed execution,
 idempotent processing restarts and safe transactional steps.  The project
 contributes a shared community resource that handles the data processing
 component of sequencing analysis, providing researchers with more time
 to focus on the downstream biology.

Package: bcbio
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-bcbio
Suggests: toil, cwltool,
          bcbio-doc
Description: toolkit for analysing high-throughput sequencing data
 This package installs the command line tools of the bcbio-nextgen
 toolkit implementing best-practice pipelines for fully automated high
 throughput sequencing analysis.
 .
 A high-level configuration file specifies inputs and analysis parameters
 to drive a parallel pipeline that handles distributed execution,
 idempotent processing restarts and safe transactional steps.  The project
 contributes a shared community resource that handles the data processing
 component of sequencing analysis, providing researchers with more time
 to focus on the downstream biology.

Package: bcbio-doc
Architecture: all
Depends: ${sphinxdoc:Depends},${misc:Depends},
Suggests: bcbio|python3-bcbio
Description: Documentation for RNAseq-workflows of bcbio(-nextgen)
 This package provides the documentation for all aspects of the
 workflows and technology of the bcbio-nextgen toolkit.
 .
 A high-level configuration file specifies inputs and analysis parameters
 to drive a parallel pipeline that handles distributed execution,
 idempotent processing restarts and safe transactional steps.  The project
 contributes a shared community resource that handles the data processing
 component of sequencing analysis, providing researchers with more time
 to focus on the downstream biology.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=bcbio

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml  docs build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman   docs build/man # Manpage generator

override_dh_auto_install:
	dh_auto_install
	[ -d debian/bcbio ] && mkdir -p debian/bcbio/usr/bin
	mv debian/python3-bcbio/usr/bin/* debian/bcbio/usr/bin/
	# To keep awareness of redundant binaries with different versions of Python
	#mkdir -p debian/bcbio/usr/bin
	#rm -rf debian/python-bcbio/usr/bin debian/python3-bcbio/usr/bin
	
# Problem with a series of tools that need bcbio before it is installed,
# just to print --help

manpages: debian/bcbio_nextgen.1
debian/bcbio_nextgen.1: scripts/bcbio_nextgen.py
	mkdir -p debian/bcbio/usr/share/man/man1
	export PYTHONPATH=debian/usr/lib/python3/dist-packages ; \
	for py in scripts/*.py; do \
	  help2man -N -s 1 --no-discard-stderr -h $$py -n $$(basename $$py .py) python | gzip -c > debian/bcbio/usr/share/man/man1/$$(basename $$py).1.gz ; \
	done
	# problem with --help generation
	find debian -name bcbio_fastq_umi_prep.py.1* -delete
	find debian -name bcbio_prepare_samples.py.1* -delete

override_dh_auto_clean:
	dh_auto_clean
	rm -f bcbio/pipeline/version.py
	rm -f debian/*.1

.PHONY: manpages

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bcbio-$1.tar.gz%" \
   https://github.com/chapmanb/bcbio-nextgen/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bcbio 1.1.3

=== debian/changelog ===
bcbio (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * bcbio-doc: mark as "Multi-Arch: foreign"
  * debian/patches/python3.patch: removed, applied upstream
  * debian/control: bcbio-doc: section is "doc"
                               and add ${sphinxdoc:Built-Using}
                    python3-bcbio: section is "python"
  * debian/patches/spelling: fix a few spelling errors
  * debian/patches/include_tests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 10 Feb 2019 00:42:06 -0800

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,19 @@
                python3-toolz,
                python3-tornado,
                python3-yaml,
+	       python3-scipy,
+	       python3-psutil,
+	       python3-joblib,
 # for testing
                python3-biopython,
                python3-cyvcf2,
                python3-logbook,
                python3-requests,
+	       python3-pytest,
+	       python3-pytest-mock,
+	       bcftools,
+	       tabix,
+	       samtools,
 # documentation
                python3-sphinx
 Standards-Version: 4.3.0
@@ -31,9 +39,13 @@
 
 Package: python3-bcbio
 Architecture: all
+Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-tornado
+         python3-tornado,
+	 python3-scipy,
+	 python3-psutil,
+	 python3-joblib
 Recommends: python3-seqcluster
 Suggests: bcbio-doc
 Description: library for analysing high-throughput sequencing data
@@ -53,7 +65,26 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-bcbio
-Suggests: toil, cwltool,
+Recommends: bcftools,
+            cufflinks,
+	    fastqc,
+	    freebayes,
+            grabix,
+	    libvcflib-tools,
+	    macs,
+	    python3-h5py,
+	    pythonpy,
+	    sambamba,
+	    samblaster,
+            samtools,
+            salmon,
+	    subread,
+            tabix,
+            wget
+Suggests: toil,
+          cwltool,
+          stringtie,
+          kallisto,
           bcbio-doc
 Description: toolkit for analysing high-throughput sequencing data
  This package installs the command line tools of the bcbio-nextgen
@@ -71,6 +102,9 @@
 Architecture: all
 Depends: ${sphinxdoc:Depends},${misc:Depends},
 Suggests: bcbio|python3-bcbio
+Built-Using: ${sphinxdoc:Built-Using}
+Section: doc
+Multi-Arch: foreign
 Description: Documentation for RNAseq-workflows of bcbio(-nextgen)
  This package provides the documentation for all aspects of the
  workflows and technology of the bcbio-nextgen toolkit.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 export DH_VERBOSE = 1
 
 export PYBUILD_NAME=bcbio
+export PYBUILD_DISABLE=test  # not quite ready
+export PYBUILD_TEST_ARGS= -p no:cacheprovider -p no:stepwise -k 'not S3 and not rnaseq and not fusion and not srnaseq and not chipseq and not install_required and not devel and not template and not hla and not combo'
+
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## bcbio 1.1.4

=== debian/changelog ===
bcbio (1.1.4-1) unstable; urgency=medium

  * New upstream release.
    - Move to Python 3.6. A python2 environment in the install runs
      non python3 compatible programs. The codebase is still compatible
      with python 2.7 but will only get run and tested on python 3 for
      future releases.
    - RNA-seq: fix for race condition when creating the pizzly cache
    - RNA-seq: Add Salmon to multiqc report.
    - RNA-seq single-cell/DGE: Properly strip transcript versions from
      GENCODE GTFs.
    - RNA-seq: Faster and more flexible rRNA biotype lookup.
    - Move to R3.5.1, including updates to all CRAN and Bioconductor
      packages.
    - tumor-only germline prioritization: provide more useful germline
      filtering based on prioritization INFO tag (EPR) rather than filter
      field.
    - Install: do not require fabric for tool and data installs, making
      full codebase compatible with python 3.
    - variant: Filter out variants with missing ALT alleles output
      by GATK4.
    - GATK: enable specification of spark specific parameters with
      `gatk-spark` resources.
    - RNA-seq single-cell/DGE: added `demultiplexed` option. If set to
      True, treat the data as if it has already been demultiplexed into
      cells/wells.
    - Multiple orders of magnitude faster templating with thousands of
      input files.

  * Moved stringtie from suggested to recommended
  * Added dependency on xonsh for testing

 -- Steffen Moeller <moeller@debian.org>  Thu, 11 Apr 2019 12:56:58 +0200

=== debian/control ===
--- 
+++ 
@@ -21,15 +21,18 @@
 	       python3-psutil,
 	       python3-joblib,
 # for testing
+               perl,
                python3-biopython,
                python3-cyvcf2,
                python3-logbook,
+               python3-nose,
                python3-requests,
 	       python3-pytest,
 	       python3-pytest-mock,
 	       bcftools,
 	       tabix,
 	       samtools,
+               xonsh,
 # documentation
                python3-sphinx
 Standards-Version: 4.3.0
@@ -66,7 +69,9 @@
          ${misc:Depends},
          python3-bcbio
 Recommends: bcftools,
+            cnvkit,
             cufflinks,
+            delly,
 	    fastqc,
 	    freebayes,
             grabix,
@@ -74,18 +79,29 @@
 	    macs,
 	    python3-h5py,
 	    pythonpy,
+            rna-star,
+            hisat2,
 	    sambamba,
 	    samblaster,
             samtools,
             salmon,
+            stringtie,
 	    subread,
             tabix,
+            varscan,
             wget
 Suggests: toil,
           cwltool,
-          stringtie,
           kallisto,
-          bcbio-doc
+          bcbio-doc,
+# still missing lumpy-sv,
+# still missing manta,
+# non-free, install manually: novoalign,
+          qualimap,
+# for cancer heterogeneity analysis with BubbleTree
+          libglu1-mesa,
+# for low mem instead of rna-star
+          tophat2
 Description: toolkit for analysing high-throughput sequencing data
  This package installs the command line tools of the bcbio-nextgen
  toolkit implementing best-practice pipelines for fully automated high

## bcbio 1.1.5

=== requirements.txt ===
bcbio-nextgen==1.1.5

=== debian/changelog ===
bcbio (1.1.5-1) unstable; urgency=medium

  * New upstream version.

  * Better clean after build
  * Tests still fail.

 -- Steffen Moeller <moeller@debian.org>  Fri, 24 May 2019 18:42:30 +0200

bcbio (1.1.4-2) UNRELEASED; urgency=medium

  * Team upload.
  * Recommends: umis

 -- Andreas Tille <tille@debian.org>  Thu, 16 May 2019 09:49:26 +0200

=== debian/control ===
--- 
+++ 
@@ -17,21 +17,37 @@
                python3-toolz,
                python3-tornado,
                python3-yaml,
-	       python3-scipy,
-	       python3-psutil,
-	       python3-joblib,
+               python3-scipy,
+               python3-psutil,
+               python3-joblib,
 # for testing
+               atropos,
+               bedtools,
+               biobambam2,
+               gffread,
+               grabix,
+               hisat2,
+#               mosdepth, # missing
                perl,
+               picard,
                python3-biopython,
                python3-cyvcf2,
+               python3-geneimpacts,
                python3-logbook,
                python3-nose,
                python3-requests,
-	       python3-pytest,
-	       python3-pytest-mock,
-	       bcftools,
-	       tabix,
-	       samtools,
+               python3-pytest,
+               python3-pytest-mock,
+               bcftools,
+               rna-star,
+               salmon,
+               samblaster,
+               samtools,
+               seqtk,
+               tabix,
+               tophat,
+               tophat-recondition,
+               wham-align,
                xonsh,
 # documentation
                python3-sphinx
@@ -46,9 +62,9 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-tornado,
-	 python3-scipy,
-	 python3-psutil,
-	 python3-joblib
+         python3-scipy,
+         python3-psutil,
+         python3-joblib
 Recommends: python3-seqcluster
 Suggests: bcbio-doc
 Description: library for analysing high-throughput sequencing data
@@ -72,24 +88,27 @@
             cnvkit,
             cufflinks,
             delly,
-	    fastqc,
-	    freebayes,
+            fastqc,
+            freebayes,
             grabix,
-	    libvcflib-tools,
-	    macs,
-	    python3-h5py,
-	    pythonpy,
+            libvcflib-tools,
+            macs,
+            python3-geneimpacts,
+            python3-h5py,
+            pythonpy,
             rna-star,
             hisat2,
-	    sambamba,
-	    samblaster,
+            sambamba,
+            samblaster,
             samtools,
             salmon,
             stringtie,
-	    subread,
+            subread,
             tabix,
+            umis,
             varscan,
-            wget
+            wget,
+            wham-align
 Suggests: toil,
           cwltool,
           kallisto,
@@ -101,7 +120,9 @@
 # for cancer heterogeneity analysis with BubbleTree
           libglu1-mesa,
 # for low mem instead of rna-star
-          tophat2
+          tophat2,
+# found in source code but not exactly sure about its importance
+          tophat-recondition
 Description: toolkit for analysing high-throughput sequencing data
  This package installs the command line tools of the bcbio-nextgen
  toolkit implementing best-practice pipelines for fully automated high

=== debian/rules ===
--- 
+++ 
@@ -40,5 +40,12 @@
 	dh_auto_clean
 	rm -f bcbio/pipeline/version.py
 	rm -f debian/*.1
+	rm -rf  .pytest_cache
+	rm -f tests/data/110106_FC70BUKAAXX/1_110106_FC70BUKAAXX_1_fastq.txt
+	rm -f tests/data/110106_FC70BUKAAXX/1_110106_FC70BUKAAXX_2_fastq.txt
+	rm -f tests/data/110106_FC70BUKAAXX/2_110106_FC70BUKAAXX_1_fastq.txt
+	rm -f tests/data/110106_FC70BUKAAXX/2_110106_FC70BUKAAXX_2_fastq.txt
+	rm -f tests/data/110106_FC70BUKAAXX/3_110106_FC70BUKAAXX_fastq.txt
+
 
 .PHONY: manpages

## bcbio 1.2.0

=== requirements.txt ===
bcbio-nextgen==1.1.9

=== debian/changelog ===
bcbio (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Drop tophat from Build-Depends
    Closes: #953642
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 11 Mar 2020 18:26:32 +0100

bcbio (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Adjusted path of bcbio-doc for doc-base

 -- Steffen Moeller <moeller@debian.org>  Thu, 13 Feb 2020 18:30:04 +0100

bcbio (1.1.9-2) unstable; urgency=medium

  * Team upload.
  * Drop tophat.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 17:23:23 +0100

bcbio (1.1.9-1) unstable; urgency=medium

  * New upstream version.
  * Updated d/watch

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 Dec 2019 11:39:46 +0100

bcbio (1.1.8-1) unstable; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Nov 2019 14:05:42 +0100

bcbio (1.1.7-1) unstable; urgency=medium

  * New upstream version.

  * Added directions to contrib to -doc and python- packages

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Oct 2019 14:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: bcbio
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: science
+Section: contrib/science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -45,28 +45,45 @@
                samtools,
                seqtk,
                tabix,
-               tophat,
                tophat-recondition,
                wham-align,
                xonsh,
 # documentation
                python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/bcbio
 Vcs-Git: https://salsa.debian.org/med-team/bcbio.git
-Homepage: https://github.com/chapmanb/bcbio-nextgen
+Homepage: https://github.com/bcbio/bcbio-nextgen
+Rules-Requires-Root: no
 
 Package: python3-bcbio
 Architecture: all
-Section: python
+Section: contrib/python
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-tornado,
+         python3-biopython,
+         python3-cyvcf2,
+         python3-joblib,
+         python3-logbook,
+         python3-matplotlib,
+         python3-psutil,
+         python3-pysam,
+         python3-requests,
          python3-scipy,
-         python3-psutil,
-         python3-joblib
-Recommends: python3-seqcluster
-Suggests: bcbio-doc
+         python3-six,
+         python3-tornado
+Recommends:
+         python3-arrow,
+         python3-geneimpacts,
+         python3-h5py,
+         python3-pyvcf,
+         python3-seqcluster,
+         python3-statsmodels,
+         python3-tabulate
+Suggests:
+         bcbio-doc,
+         python3-bioblend,
+         python3-msgpack
 Description: library for analysing high-throughput sequencing data
  This package installs the Python 3 libraries of the bcbio-nextgen
  toolkit implementing best-practice pipelines for fully automated high
@@ -93,8 +110,6 @@
             grabix,
             libvcflib-tools,
             macs,
-            python3-geneimpacts,
-            python3-h5py,
             pythonpy,
             rna-star,
             hisat2,
@@ -122,7 +137,8 @@
 # for low mem instead of rna-star
           tophat2,
 # found in source code but not exactly sure about its importance
-          tophat-recondition
+          tophat-recondition,
+          r-other-wasabi
 Description: toolkit for analysing high-throughput sequencing data
  This package installs the command line tools of the bcbio-nextgen
  toolkit implementing best-practice pipelines for fully automated high
@@ -140,7 +156,7 @@
 Depends: ${sphinxdoc:Depends},${misc:Depends},
 Suggests: bcbio|python3-bcbio
 Built-Using: ${sphinxdoc:Built-Using}
-Section: doc
+Section: contrib/doc
 Multi-Arch: foreign
 Description: Documentation for RNAseq-workflows of bcbio(-nextgen)
  This package provides the documentation for all aspects of the

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,13 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	[ -d debian/bcbio ] && mkdir -p debian/bcbio/usr/bin
+	[ -d debian/bcbio/usr/bin ] || mkdir -p debian/bcbio/usr/bin
 	mv debian/python3-bcbio/usr/bin/* debian/bcbio/usr/bin/
 	# To keep awareness of redundant binaries with different versions of Python
 	#mkdir -p debian/bcbio/usr/bin
 	#rm -rf debian/python-bcbio/usr/bin debian/python3-bcbio/usr/bin
-	
+	find $(CURDIR)/debian/bcbio/usr/share/bcbio/config/ -name "*.sh" | xargs -r chmod +x
+
 # Problem with a series of tools that need bcbio before it is installed,
 # just to print --help

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bcbio-$1.tar.gz%" \
   https://github.com/bcbio/bcbio-nextgen/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bcbio 1.2.5

=== requirements.txt ===
bcbio-nextgen==1.2.4

=== docs/requirements.txt ===
# only required to upgrade v0.5.0 installed by Read the Docs
recommonmark==0.6.0

=== debian/changelog ===
bcbio (1.2.5-1) unstable; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Jan 2021 13:55:23 +0100

bcbio (1.2.4-3) UNELEASED; urgency=medium

  * Compatibility with Python 3.9
  * Rounded-up Debian experience
    - Added runtime/testing build depdendencies
    - Adjusted names of executables in Debian
      + hts-nim-tools
      + cnvkit

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Nov 2020 22:29:00 +0100

bcbio (1.2.4-2) unstable; urgency=medium

  * Team upload.
  * Avoid calling Git - use Debian version to specify the code version
    Closes: #973804

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:16:33 +0100

bcbio (1.2.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sat, 26 Sep 2020 00:56:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: contrib/science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -21,33 +21,60 @@
                python3-psutil,
                python3-joblib,
 # for testing
-               atropos,
-               bedtools,
-               biobambam2,
-               gffread,
-               grabix,
-               hisat2,
-#               mosdepth, # missing
-               perl,
-               picard,
-               python3-biopython,
-               python3-cyvcf2,
-               python3-geneimpacts,
-               python3-logbook,
-               python3-nose,
-               python3-requests,
-               python3-pytest,
-               python3-pytest-mock,
-               bcftools,
-               rna-star,
-               salmon,
-               samblaster,
-               samtools,
-               seqtk,
-               tabix,
-               tophat-recondition,
-               wham-align,
-               xonsh,
+               atropos <!nocheck>,
+               bcftools <!nocheck>,
+               bedtools <!nocheck>,
+               biobambam2 <!nocheck>,
+               bowtie2 <!nocheck>,
+               cnvkit <!nocheck>,
+               fastqc <!nocheck>,
+               freebayes <!nocheck>,
+               gffread <!nocheck>,
+               grabix <!nocheck>,
+               gsort <!nocheck>,
+               hisat2 <!nocheck>,
+               hts-nim-tools <!nocheck>,
+               libfreetype6 <!nocheck>,
+               lumpy-sv <!nocheck>,
+               mosdepth <!nocheck>,
+               multiqc <!nocheck>,
+               perl <!nocheck>,
+               libpicard-java <!nocheck>,
+               libvcflib-tools <!nocheck>,
+               picard-tools <!nocheck>,
+               python3-biopython <!nocheck>,
+               python3-cyvcf2 <!nocheck>,
+               python3-geneimpacts <!nocheck>,
+               python3-logbook <!nocheck>,
+               python3-nose <!nocheck>,
+               python3-requests <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+               python3-seqcluster <!nocheck>,
+               pythonpy <!nocheck>,
+               rapmap <!nocheck>,
+               rna-star <!nocheck>,
+               r-other-wasabi <!nocheck>,
+               r-bioc-htsfilter <!nocheck>,
+               r-bioc-degreport <!nocheck>,
+               r-bioc-purecn <!nocheck>,
+               r-cran-tidyverse <!nocheck>,
+               r-bioc-titancna <!nocheck>,
+               r-bioc-tximport <!nocheck>,
+               r-other-wasabi <!nocheck>,
+               salmon <!nocheck>,
+               samblaster <!nocheck>,
+               samtools <!nocheck>,
+               seqan-apps <!nocheck>,
+               seqtk <!nocheck>,
+               subread <!nocheck>,
+               tabix <!nocheck>,
+               tophat-recondition <!nocheck>,
+               umis <!nocheck>,
+               vcfanno <!nocheck>,
+               vt <!nocheck>,
+               wham-align <!nocheck>,
+               xonsh <!nocheck>,
 # documentation
                python3-sphinx
 Standards-Version: 4.5.0
@@ -73,16 +100,29 @@
          python3-six,
          python3-tornado
 Recommends:
+         cnvkit,
+         gsort,
+         libfreetype6,
+         lumpy-sv,
+         mosdepth,
+         multiqc,
          python3-arrow,
          python3-geneimpacts,
          python3-h5py,
          python3-pyvcf,
          python3-seqcluster,
          python3-statsmodels,
-         python3-tabulate
+         python3-tabulate,
+         r-other-wasabi,
+         r-bioc-purecn,
+         r-bioc-titancna,
+         seqan-apps,
+         vcfanno,
+         vt
 Suggests:
          bcbio-doc,
          python3-bioblend,
+         python3-dnapilib,
          python3-msgpack
 Description: library for analysing high-throughput sequencing data
  This package installs the Python 3 libraries of the bcbio-nextgen
@@ -150,21 +190,31 @@
  contributes a shared community resource that handles the data processing
  component of sequencing analysis, providing researchers with more time
  to focus on the downstream biology.
+ .
+ This package builds and having it in Debian unstable helps the Debian
+ developers to synchronize their efforts. But unless a series of external
+ dependencies are not installed manually, the functionality of bcbio in
+ Debian is only a shadow of itself. Please use the official distribution
+ of bcbio for the time being, which means "use conda". The TODO file in
+ the Debian directory should give an overview on progress for Debian
+ packaging.
 
-Package: bcbio-doc
-Architecture: all
-Depends: ${sphinxdoc:Depends},${misc:Depends},
-Suggests: bcbio|python3-bcbio
-Built-Using: ${sphinxdoc:Built-Using}
-Section: contrib/doc
-Multi-Arch: foreign
-Description: Documentation for RNAseq-workflows of bcbio(-nextgen)
- This package provides the documentation for all aspects of the
- workflows and technology of the bcbio-nextgen toolkit.
- .
- A high-level configuration file specifies inputs and analysis parameters
- to drive a parallel pipeline that handles distributed execution,
- idempotent processing restarts and safe transactional steps.  The project
- contributes a shared community resource that handles the data processing
- component of sequencing analysis, providing researchers with more time
- to focus on the downstream biology.
+#Package: bcbio-doc
+#Architecture: all
+#Depends: ${sphinxdoc:Depends},${misc:Depends},
+#Suggests: bcbio|python3-bcbio
+#Built-Using: ${sphinxdoc:Built-Using}
+#Section: contrib/doc
+#Multi-Arch: foreign
+#Description: Documentation for RNAseq-workflows of bcbio(-nextgen)
+# This package provides the documentation for all aspects of the
+# workflows and technology of the bcbio-nextgen toolkit.
+# .
+# A high-level configuration file specifies inputs and analysis parameters
+# to drive a parallel pipeline that handles distributed execution,
+# idempotent processing restarts and safe transactional steps.  The project
+# contributes a shared community resource that handles the data processing
+# component of sequencing analysis, providing researchers with more time
+# to focus on the downstream biology.
+# .
+# This package did not build for version 1.2.3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bcbio-$1.tar.gz%" \
   https://github.com/bcbio/bcbio-nextgen/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## bcbio 1.2.9

=== requirements.txt ===
bcbio-nextgen==1.2.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bcbio_nextgen.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bcbio_nextgen.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bcbio_nextgen"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bcbio_nextgen"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
myst-parser==0.14.0

=== debian/changelog ===
bcbio (1.2.9-4) unstable; urgency=medium

  * Team upload.
  * Patch-out build-dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Mon, 30 Jun 2025 11:08:43 +0200

bcbio (1.2.9-3) unstable; urgency=medium

  * Team upload.
  * Drop python3-seqcluster from Build-Depends and downgrade from
    Recommends to Suggests
  * Fix lintian-overrides about script-with-language-extension
  * DEP3
  * Do not ship empty manpage
  * Use pytest instead of nose
    Closes: #1018312
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

  [ Alexandre Detiste ]
  * Release this now to allow python3-nose removal (Closes: #1018312)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Feb 2025 10:58:48 +0100

bcbio (1.2.9-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 09:38:21 +0200

bcbio (1.2.9-1) unstable; urgency=medium

  * Team Upload

  [ Lance Lin ]
  * New upstream version - 1.2.9
  * Standards-Version: 4.6.1
  * Copyright: updated years to cover 2022

 -- Lance Lin <LQi254@protonmail.com>  Wed, 17 Aug 2022 20:16:42 +0700

bcbio (1.2.8-1) UNRELEASED; urgency=medium

  * New upstream version.
  * Standards-Version: 4.5.1 (routine-update)
  * Removed now obsolete patch on abc collections
  * Updated dependencies
  * Point to system version of Rscript - always

 -- Steffen Moeller <moeller@debian.org>  Fri, 07 May 2021 20:29:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: contrib/science
 Testsuite: autopkgtest-pkg-python
+XS-Autobuild: no
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-gffutils,
-               python3-mock,
                python3-pandas,
                python3-pybedtools,
                python3-pysam,
-               python3-pyvcf,
                python3-toolz,
                python3-tornado,
                python3-yaml,
@@ -26,6 +25,7 @@
                bedtools <!nocheck>,
                biobambam2 <!nocheck>,
                bowtie2 <!nocheck>,
+               bwa <!nocheck>,
                cnvkit <!nocheck>,
                fastqc <!nocheck>,
                freebayes <!nocheck>,
@@ -33,7 +33,7 @@
                grabix <!nocheck>,
                gsort <!nocheck>,
                hisat2 <!nocheck>,
-               hts-nim-tools <!nocheck>,
+#               hts-nim-tools <!nocheck>,
                libfreetype6 <!nocheck>,
                lumpy-sv <!nocheck>,
                mosdepth <!nocheck>,
@@ -46,18 +46,18 @@
                python3-cyvcf2 <!nocheck>,
                python3-geneimpacts <!nocheck>,
                python3-logbook <!nocheck>,
-               python3-nose <!nocheck>,
                python3-requests <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-seqcluster <!nocheck>,
+#               python3-seqcluster <!nocheck>,
                pythonpy <!nocheck>,
                rapmap <!nocheck>,
                rna-star <!nocheck>,
-               r-other-wasabi <!nocheck>,
+               r-base-core <!nocheck>,
                r-bioc-htsfilter <!nocheck>,
                r-bioc-degreport <!nocheck>,
                r-bioc-purecn <!nocheck>,
+               r-bioc-summarizedexperiment <!nocheck>,
                r-cran-tidyverse <!nocheck>,
                r-bioc-titancna <!nocheck>,
                r-bioc-tximport <!nocheck>,
@@ -67,6 +67,7 @@
                samtools <!nocheck>,
                seqan-apps <!nocheck>,
                seqtk <!nocheck>,
+               snpeff <!nocheck>,
                subread <!nocheck>,
                tabix <!nocheck>,
                tophat-recondition <!nocheck>,
@@ -75,9 +76,10 @@
                vt <!nocheck>,
                wham-align <!nocheck>,
                xonsh <!nocheck>,
+               libhts-dev <!nocheck>,
 # documentation
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bcbio
 Vcs-Git: https://salsa.debian.org/med-team/bcbio.git
 Homepage: https://github.com/bcbio/bcbio-nextgen
@@ -99,31 +101,30 @@
          python3-scipy,
          python3-six,
          python3-tornado
-Recommends:
-         cnvkit,
-         gsort,
-         libfreetype6,
-         lumpy-sv,
-         mosdepth,
-         multiqc,
-         python3-arrow,
-         python3-geneimpacts,
-         python3-h5py,
-         python3-pyvcf,
-         python3-seqcluster,
-         python3-statsmodels,
-         python3-tabulate,
-         r-other-wasabi,
-         r-bioc-purecn,
-         r-bioc-titancna,
-         seqan-apps,
-         vcfanno,
-         vt
-Suggests:
-         bcbio-doc,
-         python3-bioblend,
-         python3-dnapilib,
-         python3-msgpack
+Recommends: cnvkit,
+            gsort,
+            libfreetype6,
+            libhts-dev,
+            lumpy-sv,
+            mosdepth,
+            multiqc,
+            python3-arrow,
+            python3-geneimpacts,
+            python3-h5py,
+#            python3-seqcluster,
+            python3-statsmodels,
+            python3-tabulate,
+            r-other-wasabi,
+            r-bioc-purecn,
+            r-bioc-titancna,
+            seqan-apps,
+            snpeff,
+            vcfanno,
+            vt
+Suggests: python3-bioblend,
+          python3-dnapilib,
+          python3-msgpack,
+          python3-seqcluster
 Description: library for analysing high-throughput sequencing data
  This package installs the Python 3 libraries of the bcbio-nextgen
  toolkit implementing best-practice pipelines for fully automated high
@@ -142,6 +143,7 @@
          ${misc:Depends},
          python3-bcbio
 Recommends: bcftools,
+            bwa,
             cnvkit,
             cufflinks,
             delly,
@@ -167,7 +169,6 @@
 Suggests: toil,
           cwltool,
           kallisto,
-          bcbio-doc,
 # still missing lumpy-sv,
 # still missing manta,
 # non-free, install manually: novoalign,
@@ -178,6 +179,8 @@
           tophat2,
 # found in source code but not exactly sure about its importance
           tophat-recondition,
+          r-bioc-summarizedexperiment,
+          r-cran-tidyverse,
           r-other-wasabi
 Description: toolkit for analysing high-throughput sequencing data
  This package installs the command line tools of the bcbio-nextgen
@@ -198,23 +201,3 @@
  of bcbio for the time being, which means "use conda". The TODO file in
  the Debian directory should give an overview on progress for Debian
  packaging.
-
-#Package: bcbio-doc
-#Architecture: all
-#Depends: ${sphinxdoc:Depends},${misc:Depends},
-#Suggests: bcbio|python3-bcbio
-#Built-Using: ${sphinxdoc:Built-Using}
-#Section: contrib/doc
-#Multi-Arch: foreign
-#Description: Documentation for RNAseq-workflows of bcbio(-nextgen)
-# This package provides the documentation for all aspects of the
-# workflows and technology of the bcbio-nextgen toolkit.
-# .
-# A high-level configuration file specifies inputs and analysis parameters
-# to drive a parallel pipeline that handles distributed execution,
-# idempotent processing restarts and safe transactional steps.  The project
-# contributes a shared community resource that handles the data processing
-# component of sequencing analysis, providing researchers with more time
-# to focus on the downstream biology.
-# .
-# This package did not build for version 1.2.3

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,16 @@
 export PYBUILD_DISABLE=test  # not quite ready
 export PYBUILD_TEST_ARGS= -p no:cacheprovider -p no:stepwise -k 'not S3 and not rnaseq and not fusion and not srnaseq and not chipseq and not install_required and not devel and not template and not hla and not combo'
 
-
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml  docs build/html # HTML generator
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman   docs build/man # Manpage generator
+	# gave error for version 1.2.3
+	#PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml  docs build/html # HTML generator
+	#PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman   docs build/man # Manpage generator
+	mkdir -p build/html
+	mkdir -p build/man && touch build/man/bcbio_nextgen.1
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bcbio-$1.tar.gz%" \
   https://github.com/bcbio/bcbio-nextgen/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
